## NMIPConfig

NMIPConfig

## Functions

int | nm_ip_config_get_family ()
const char * | nm_ip_config_get_gateway ()
GPtrArray * | nm_ip_config_get_addresses ()
GPtrArray * | nm_ip_config_get_routes ()
const char * const * | nm_ip_config_get_nameservers ()
const char * const * | nm_ip_config_get_domains ()
const char * const * | nm_ip_config_get_searches ()
const char * const * | nm_ip_config_get_wins_servers ()

## Properties

GPtrArray * | addresses | Read
GStrv | domains | Read
gint | family | Read
gchar * | gateway | Read
GStrv | nameservers | Read
GPtrArray * | routes | Read
GStrv | searches | Read
GStrv | wins-servers | Read

## Types and Values

#define | NM_IP_CONFIG_FAMILY
#define | NM_IP_CONFIG_GATEWAY
#define | NM_IP_CONFIG_ADDRESSES
#define | NM_IP_CONFIG_ROUTES
#define | NM_IP_CONFIG_NAMESERVERS
#define | NM_IP_CONFIG_DOMAINS
#define | NM_IP_CONFIG_SEARCHES
#define | NM_IP_CONFIG_WINS_SERVERS

## Object Hierarchy

        GObject
        ╰── NMObject
            ╰── NMIPConfig

## Description

## Functions

### nm_ip_config_get_family ()

    int
    nm_ip_config_get_family (NMIPConfig *config);

Gets the IP address family

#### Parameters

config | a NMIPConfig |

#### Returns

the IP address family; either `AF_INET` or `AF_INET6`

### nm_ip_config_get_gateway ()

    const char *
    nm_ip_config_get_gateway (NMIPConfig *config);

Gets the IP gateway address.

#### Parameters

config | a NMIPConfig |

#### Returns

the IP address of the gateway.

[transfer none]

### nm_ip_config_get_addresses ()

    GPtrArray *
    nm_ip_config_get_addresses (NMIPConfig *config);

Gets the IP addresses (containing the address, prefix, and gateway).

#### Parameters

config | a NMIPConfig |

#### Returns

the GPtrArray containing NMIPAddresses. This is the internal copy used by the configuration and must not be modified.

[element-type NMIPAddress][transfer none]

### nm_ip_config_get_routes ()

    GPtrArray *
    nm_ip_config_get_routes (NMIPConfig *config);

Gets the routes.

#### Parameters

config | a NMIPConfig |

#### Returns

the GPtrArray containing NMIPRoutes. This is the internal copy used by the configuration, and must not be modified.

[element-type NMIPRoute][transfer none]

### nm_ip_config_get_nameservers ()

    const char * const *
    nm_ip_config_get_nameservers (NMIPConfig *config);

Gets the domain name servers (DNS).

#### Parameters

config | a NMIPConfig |

#### Returns

the array of nameserver IP addresses.

[transfer none]

### nm_ip_config_get_domains ()

    const char * const *
    nm_ip_config_get_domains (NMIPConfig *config);

Gets the domain names.

#### Parameters

config | a NMIPConfig |

#### Returns

the array of domains. (This is never `NULL`, though it may be 0-length).

[transfer none]

### nm_ip_config_get_searches ()

    const char * const *
    nm_ip_config_get_searches (NMIPConfig *config);

Gets the DNS searches.

#### Parameters

config | a NMIPConfig |

#### Returns

the array of DNS search strings. (This is never `NULL`, though it may be 0-length).

[transfer none]

### nm_ip_config_get_wins_servers ()

    const char * const *
    nm_ip_config_get_wins_servers (NMIPConfig *config);

Gets the Windows Internet Name Service servers (WINS).

#### Parameters

config | a NMIPConfig |

#### Returns

the arry of WINS server IP address strings. (This is never `NULL`, though it may be 0-length.).

[transfer none]

## Types and Values

### NM_IP_CONFIG_FAMILY

    #define NM_IP_CONFIG_FAMILY "family"

### NM_IP_CONFIG_GATEWAY

    #define NM_IP_CONFIG_GATEWAY "gateway"

### NM_IP_CONFIG_ADDRESSES

    #define NM_IP_CONFIG_ADDRESSES "addresses"

### NM_IP_CONFIG_ROUTES

    #define NM_IP_CONFIG_ROUTES "routes"

### NM_IP_CONFIG_NAMESERVERS

    #define NM_IP_CONFIG_NAMESERVERS "nameservers"

### NM_IP_CONFIG_DOMAINS

    #define NM_IP_CONFIG_DOMAINS "domains"

### NM_IP_CONFIG_SEARCHES

    #define NM_IP_CONFIG_SEARCHES "searches"

### NM_IP_CONFIG_WINS_SERVERS

    #define NM_IP_CONFIG_WINS_SERVERS "wins-servers"

## Property Details

### The `“addresses”` property

      “addresses”                GPtrArray *

A GPtrArray containing the addresses (NMIPAddress) of the configuration.

Flags: Read

### The `“domains”` property

      “domains”                  GStrv

The array containing domain strings of the configuration.

Flags: Read

### The `“family”` property

      “family”                   gint

The IP address family of the configuration; either `AF_INET` or `AF_INET6`.

Flags: Read

Allowed values: [0,255]

Default value: 0

### The `“gateway”` property

      “gateway”                  gchar *

The IP gateway address of the configuration as string.

Flags: Read

Default value: NULL

### The `“nameservers”` property

      “nameservers”              GStrv

The array containing name server IP addresses of the configuration.

Flags: Read

### The `“routes”` property

      “routes”                   GPtrArray *

A GPtrArray containing the routes (NMIPRoute) of the configuration.

Flags: Read

### The `“searches”` property

      “searches”                 GStrv

The array containing DNS search strings of the configuration.

Flags: Read

### The `“wins-servers”` property

      “wins-servers”             GStrv

The array containing WINS server IP addresses of the configuration. (This will always be empty for IPv6 configurations.)

Flags: Read